:root {
    --background-dark: #1a1a1a;
    --background-gradient: linear-gradient(135deg, #001f3f, #4f0032);
    --text-light: #e0e0e0;
    --accent-aqua: #00b7ff;
    --accent-pink: #ff00a8;
    --card-background: rgba(0, 0, 0, 0.5);
    --card-background-dark: rgba(0, 0, 0, 0.9);
    --shadow-color: rgba(0, 255, 204, 0.2);
}

/* General Styles */

html {
    background: #000d1a;
    overflow: hidden;
    overflow-y: auto;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    line-height: 1.6;
    background: var(--background-gradient);
    color: var(--text-light);
    min-height: 100vh;
    overflow-x: hidden;
    position: relative;
}

header {
    background: var(--card-background);
    padding: 1rem 0;
    text-align: center;
    backdrop-filter: blur(10px);
}

ul,
.hero ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

header nav ul li {
    display: inline;
    margin: 0 10px;
}

a,
.hero ul a {
    color: var(--accent-aqua);
    text-decoration: none;
    font-weight: bold;
    transition: color 0.3s ease;
    font-family: "Smooch Sans";
    font-size: 1.25rem;
}

a:hover,
.hero ul a:hover {
    color: var(--accent-pink);
}

.icon-link {
    width: 32px;
    filter: brightness(0) saturate(100%) invert(69%) sepia(71%) saturate(4439%)
        hue-rotate(161deg) brightness(100%) contrast(103%);
    transition: filter 0.3s ease;
}

.icon-link:hover {
    filter: brightness(0) saturate(100%) invert(15%) sepia(100%) saturate(3515%)
        hue-rotate(312deg) brightness(116%) contrast(117%);
}

.hero,
.about,
.projects,
.contact,
.socials,
.music {
    padding: 2rem 2rem;
    text-align: center;
    animation: fadeIn 1s ease-in-out;
}

.about,
.music {
    padding-top: 0;
}

.about {
    margin-bottom: 4rem;
}

.hero h1 {
    font-size: 7rem;
    line-height: 7rem;
    margin-bottom: 0;
    margin-top: 0;
    background: linear-gradient(90deg, #ff00a8, #00b7ff, #ff00a8, #00b7ff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    animation: gradientShift 5s infinite alternate;
}

.hero p {
    font-size: 1.4rem;
}

.about h2,
.projects h2,
.contact h2,
.socials h2 {
    color: var(--accent-aqua);
    font-size: 2.5rem;
    margin-bottom: 1.5rem;
    font-family: "Smooch Sans";
}

.about h2 {
    margin-top: 0;
}

p {
    font-family: "Smooch Sans";
    font-weight: 400;
    font-size: 1.25rem;
    margin: 0;
}

.project-list {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.project-item {
    background: var(--card-background);
    padding: 1rem;
    margin: 1rem;
    width: 30%;
    box-shadow: 0 0 15px var(--shadow-color);
    border-radius: 10px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.hero .project-item {
    margin-top: 1.25rem;
    max-width: 150px;
    cursor: pointer;
    h3 {
        margin-top: 0;
        font-size: 1.125rem;
    }
}

.project-item:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 25px var(--accent-pink);
}

.project-item h3 {
    color: var(--accent-aqua);
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.project-item p {
    color: var(--text-light);
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

form label {
    margin: 0.5rem 0 0.2rem;
    color: var(--accent-aqua);
}

form input,
form textarea {
    width: 50%;
    padding: 0.5rem;
    margin-bottom: 1rem;
    background: var(--card-background);
    border: 1px solid var(--accent-aqua);
    color: var(--text-light);
    border-radius: 4px;
}

form input::placeholder,
form textarea::placeholder {
    color: #888;
}

form button {
    padding: 0.5rem 2rem;
    background: var(--accent-aqua);
    color: var(--background-dark);
    border: none;
    cursor: pointer;
    font-weight: bold;
    border-radius: 4px;
    transition: background 0.3s ease;
}

form button:hover {
    background: var(--accent-pink);
}

footer {
    background: var(--card-background);
    color: var(--text-light);
    text-align: center;
    padding: 1rem 0;
    margin-top: 2rem;
    backdrop-filter: blur(10px);
    padding-bottom: auto;
    position: absolute;
    width: 100%;
    bottom: 0;
}

.album {
    max-width: 100%;
}

@media (max-width: 768px) {
    .hero h1 {
        font-size: 5rem;
        line-height: 5rem;
    }
    .hero p {
        font-size: 1rem;
    }

    a,
    .hero ul a {
        font-weight: bold;
        font-size: 1.125rem;
    }

    .about h2 {
        font-size: 2rem;
    }

    p {
        font-size: 1rem;
    }

    .project-item {
        width: 100%;
        margin: 1rem 0;
    }

    form input,
    form textarea {
        width: 80%;
    }
}

/* FONTS */

.londrina-sketch-regular {
    font-family: "Londrina Sketch", serif;
    font-weight: 400;
    font-style: normal;
}
.amatic-sc-regular {
    font-family: "Amatic SC", serif;
    font-weight: 400;
    font-style: normal;
}

.amatic-sc-bold {
    font-family: "Amatic SC", serif;
    font-weight: 700;
    font-style: normal;
}
.patrick-hand-regular {
    font-family: "Patrick Hand", serif;
    font-weight: 400;
    font-style: normal;
}
.smooch-sans-regular {
    font-family: "Smooch Sans", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

/* Shapes */

.shape {
    position: absolute;
    background: #ff00a822;
    border-radius: 50%;
    animation: float 10s infinite ease-in-out,
        colorShift 10s infinite ease-in-out;
    overflow: hidden;
    pointer-events: none;
}

.shape-1 {
    width: 200px;
    height: 200px;
    top: 10%;
    left: 5%;
    animation-duration: 8s;
}

.shape-2 {
    width: 300px;
    height: 300px;
    top: 35%;
    left: 75%;
    animation-duration: 12s;
}

.shape-3 {
    width: 100px;
    height: 100px;
    top: 80%;
    left: 20%;
    animation-duration: 10s;
}

/* Animations */

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes float {
    0% {
        transform: translateY(0) rotate(0deg);
    }
    50% {
        transform: translateY(-20px) rotate(180deg);
    }
    100% {
        transform: translateY(0) rotate(360deg);
    }
}

@keyframes gradientShift {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 100% 50%;
    }
}

@keyframes colorShift {
    0% {
        background: rgba(0, 255, 204, 0.1);
    }
    50% {
        background: #ff00a822;
    }
    100% {
        background: rgba(0, 255, 204, 0.1);
    }
}
